Loading...
Searching...
No Matches
peripheral::DoorHandleControllerPackage::DoorForcedOpenEvent Struct Reference

Event: A door was opened without unlocking the door handle. More...

Inheritance diagram for peripheral::DoorHandleControllerPackage::DoorForcedOpenEvent:

## Public Attributes

PackageInfo | packageInfo
| package info
int | channel
| channel number (zero-based)
string | doorStateName
| name of the door state sensor (if assigned)
string | doorHandleName
| name of the door handle sensor (if assigned)
string | doorLockName
| name of the door lock actuator (if assigned)
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: A door was opened without unlocking the door handle.

Definition at line 79 of file PeripheralDevicePackage.idl.

## Member Data Documentation

## channel

int peripheral::DoorHandleControllerPackage::DoorForcedOpenEvent::channel

channel number (zero-based)

Definition at line 81 of file PeripheralDevicePackage.idl.

## doorHandleName

string peripheral::DoorHandleControllerPackage::DoorForcedOpenEvent::doorHandleName

name of the door handle sensor (if assigned)

Definition at line 83 of file PeripheralDevicePackage.idl.

## doorLockName

string peripheral::DoorHandleControllerPackage::DoorForcedOpenEvent::doorLockName

name of the door lock actuator (if assigned)

Definition at line 84 of file PeripheralDevicePackage.idl.

## doorStateName

string peripheral::DoorHandleControllerPackage::DoorForcedOpenEvent::doorStateName

name of the door state sensor (if assigned)

Definition at line 82 of file PeripheralDevicePackage.idl.

## packageInfo

PackageInfo peripheral::DoorHandleControllerPackage::DoorForcedOpenEvent::packageInfo

package info

Definition at line 80 of file PeripheralDevicePackage.idl.

The documentation for this struct was generated from the following file:

- PeripheralDevicePackage.idl